export default {
	match :function (str, keywords) {
	  str = String(str)
	  var ks = ''
	  if (Array.isArray(keywords)) {
	    ks = keywords.map(k => '\\d+' + k).join('|') + '|'
	  } else if (typeof keywords === 'string') {
	    ks = `\\d+${keywords}|`
	  }
	  var checker = new RegExp(`${ks}\\d+|\\D+`, 'g')
	  return str.match(checker).sort((a, b) => !isNaN(a * 1) && isNaN(b * 1) ? 1 : -1)
	},
	// 图片链接处理
	spliceImageLink: function(url) {
		if(url.substr(0,5).toLowerCase() == "http:" || url.substr(0,6).toLowerCase() == "https:"){
		    url = url;
		}else{
		    url = "https:" + url;
		}
		return url;
	},
	// 获取客服电话统一配置
	getCustomerPhoneNumber: function() {
		return '400-64365-60';
	},
	matchPhoneNumber(phone){
		
		let numberPattern = /^(13[0-9]|14[01456879]|15[0-35-9]|16[2567]|17[0-8]|18[0-9]|19[0-35-9])\d{8}$/
		if (numberPattern.test(phone)) {
			
			return true
		}else{
			return false
		}
	},
	matchEmoji(text){
		let pattern = /[\uD83C|\uD83D|\uD83E][\uDC00-\uDFFF][\u200D|\uFE0F]|[\uD83C|\uD83D|\uD83E][\uDC00-\uDFFF]|[0-9|*|#]\uFE0F\u20E3|[0-9|#]\u20E3|[\u203C-\u3299]\uFE0F\u200D|[\u203C-\u3299]\uFE0F|[\u2122-\u2B55]|\u303D|[\A9|\AE]\u3030|\uA9|\uAE|\u3030/
		if (pattern.test(text)) {
			
			return true
		}else{
			return false
		}
	},
	//分转元 保留两位小数
	toFixed(number) {
		//number  保留小数数
		var times = Math.pow(10, 2);
		var roundNum = Math.round(number / 100 * times) / times;
		return roundNum.toFixed(2);
	},
	formatPhoneWithTrim(val) {
		if (val) {
			let matches = /^(\d{3})(\d{4})(\d{4})$/.exec(val)
			if (matches) {
				val = matches[1] + ' ' + matches[2] + ' ' + matches[3]
			}
		}
		return val
	},
	formatPhone(val) {
		if (val) {
			let matches = /^(\d{3})(\d{4})(\d{4})$/.exec(val)
			if (matches) {
				val = matches[1] + ' **** ' + matches[3]
			}
		}
		return val
	},
}